import { LIST_TEMPLATE, LIST_DELETE, LIST_DETAIL } from '@constants/user'
import { API_USER_Template, API_USER_deleteTemplate, API_USER_DETAIL } from '@constants/api'
import { createAction } from '@utils/redux'

/**
 * 模板列表数据
 * @param {*} payload
 */
export const getList = payload => createAction({
  url: API_USER_Template,
  type: LIST_TEMPLATE,
  payload
})

/**
 * 模板删除
 * @param {*} payload 
 */
export const deleteTemplate = payload => createAction({
  url: API_USER_deleteTemplate + `/${payload.id}`,
  method: 'DELETE',
  type: LIST_DELETE,
})


/**
 * 模板详情
 * @param {*} payload 
 */
export const reportTemplate = payload => createAction({
  url: API_USER_DETAIL + `/${payload.id}`,
  method: 'GET',
  type: LIST_DETAIL,
})