import Taro, { Component } from '@tarojs/taro'
import { View, Text, Button } from '@tarojs/components'
import { Popup, } from '@components'
import './templatelist.scss'

export default class TemplateList extends Component {

  constructor(props) {
    super(props)
    this.state = {
      visible: false,
      selected: {},
    }
  }


  toggleVisible = () => {
    this.setState({
      visible: !this.state.visible,
      selected: {}
    })
  }

  render() {
    const { list = [] } = this.props
    const popupStyle = { transform: `translateY(${Taro.pxTransform(-100)})` }
    return (
      <View className='list'>
        {
          list.length == 0
            ? <View>暂无</View>
            : list.map(item =>
              <View className='list__item' key={item.id}
                onClick={() => {
                  Taro.navigateTo({
                    url: "/pages/user/templatedetail?id=" + item.id
                  })
                }}
              >
                <View className='list__item__left'>
                  <View className='list__item__left-one'>{item.name}</View>
                  {/* {
                    !!item.metadata && item.metadata.length > 0 && item.metadata.map((t, x) =>
                      <View className='list__item__left-two' key={x}>{t.name}：{t.value}</View>
                    )
                  } */}
                  {/* <View className='list__item__left-two'>标签：{item.tags}
                  
                  </View> */}
                  <View className='list__item__left-two'>创建时间：{item.createAt}</View>
                  <View className='list__item__left-two'>更新时间：{item.updateAt}</View>
                  <View className='list__item__left-bottom'>
                    <View className='list__item__left-bottom_g'>使用该模板</View>
                    <View className='list__item__left-bottom_d'
                      onClick={e => {
                        e.stopPropagation()
                        this.setState({
                          visible: true,
                          selected: item
                        })
                      }}
                    >删除</View>
                  </View>
                </View>
              </View>
            )
        }
        <Popup
          visible={this.state.visible}
          onClose={this.toggleVisible}
        // compStyle={popupStyle}
        >
          <View className='spec'>
            <View className='spec-title'>温馨提示</View>
            <View className='spec-info'>确认删除吗？</View>
            <View className='spec-bottom'>
              <Button size='default' type='primary'
                onClick={() => {
                  this.props.deleteTemplate(this.state.selected)
                  this.toggleVisible()
                }}
              >确认</Button>
              <Button size='default' onClick={() => { this.toggleVisible() }}>取消</Button>
            </View>
          </View>
        </Popup>
      </View>
    )
  }
}